using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
//该源码首发自www.51aspx.com(５１ａｓｐｘ．ｃｏｍ)

using System.Data.SqlClient;
using System.Web.Security;

namespace norke.admin
{
	/// <summary>
	/// adminAdd 的摘要说明。
	/// </summary>
	public partial class adminAdd : System.Web.UI.Page
	{
    
		protected void Page_Load(object sender, System.EventArgs e)
		{
            //权限检查
            if( Session["adminName"]==null || Session["adminName"].ToString() == String.Empty )
            {
                Response.Write("<font color=#ff0000 style='FONT-SIZE: 12px'>对不起,您没足够权限访问此页!!</font><br>");
                Response.Write("<a href=Default.aspx target=_top style='FONT-SIZE: 12px'>重新登陆</a><br>");
                Response.End();
                return;
            }
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    

        }
		#endregion

        private bool checkAdmin( string strAdmin )//检查 管理员是否存在
        {
            bool bTemp = false;
            DBConn myDB = new DBConn();
            string mySql = "select * from admin where admin='" + strAdmin + "'";
            SqlDataReader mydr = myDB.getDataReader( mySql );
            if( mydr.Read() )
            {
               bTemp = true;
            }
            else
            {
               bTemp = false;
            }

            mydr.Close();
            myDB.Close();
            return bTemp;
        }

        protected void btnAdd_Click(object sender, System.EventArgs e)
        {
            string strName = CleanString.htmlInputText( txtName.Text );
            string strPassword = CleanString.htmlInputText( txtPassword.Text );
            string strRPassword = CleanString.htmlInputText( txtRPassword.Text );
            
            if( strName == String.Empty )
            {
                Response.Write("<script>");
                Response.Write("alert('请输入管理名!!!');");
                Response.Write("</script>");
                return;
            }
            if( strPassword == String.Empty )
            {
                Response.Write("<script>");
                Response.Write("alert('请输入密码!!!');");
                Response.Write("</script>");
                return;
            }
            if( strRPassword == String.Empty )
            {
                Response.Write("<script>");
                Response.Write("alert('请输入确认密码!!!');");
                Response.Write("</script>");
                return;
            }

            if( checkAdmin( strName ) )
            {
                Response.Write("<script>");
                Response.Write("alert('管理员[ " + strName + " ]已经存在!!!');");
                Response.Write("</script>");
                return;
            }
            if( txtPassword.Text.Length < 6 )
            {
                Response.Write("<script>");
                Response.Write("alert('密码长度至少6位!!!');");
                Response.Write("</script>");
                return;
            }
            
            strPassword = FormsAuthentication.HashPasswordForStoringInConfigFile( strPassword ,"MD5"); 

            DBConn myDB = new DBConn();
            string mySql = "insert into admin(admin,password) values('" + strName + "','" + strPassword + "')";
            myDB.Insert( mySql );
            myDB.Close();

            txtName.Text = "";

            Response.Write("<script>");
            Response.Write("alert('管理员添加成功!!!');");
            Response.Write("</script>");
            
        }
	}
}
